Subject: RFC 2108 ans RFC 1493 (Fwd: RE: MIB Interoperability draft)

From: "Dan Romascanu ELdevmt-TA" <[email-masked]>
Date: Wed, 6 May 98 17:16:23 +0300

Please have a look at the following private message, spin-off a hot 
thread that might be followed by some of you on the SNMP list. It appears 
that RFC 2108 and RFC 1493 are implemented, at least partially, on the 
HPOV NNM. I do not think we were aware about this (I, at least, was not) 
when we discussed about implementation experience in the WG meetings of 
the Hub MIB and Bridge MIB in LA.

If anybody tested agent implementation vs. this application, her/his 
report would certainly be of high interest.

Dan

--------------------------------------------------------------------------
------
Dan Romascanu,
Systems Architecture Group Manager,
LANNET Ltd.,
Voice: 972-3-645-8414, e-mail: [email-masked]
--------------------------------------------------------------------------
------
Dan,

Brian O'Keefe forwarded the included snippet from your discussion.

NNM 5.0 for Unix (released summer 97) and both the Unix & NT 
versions of NNM 6.0 (now in beta) implement support for rfc2108.  
In particular, the process/service responsible for network 
discovery & layout, netmon, queries devices which are identified 
as hubs for the following tables from rfc2108:

 - rptrInfoTable
 - rptrAddrTrackTable
 - rptrAddrSearchTable

We have found that the information provided in the MIB allows NNM
to perform subnet layout among a mix of vendor devices, either
supporting rfc2108 or the rfc1493 Bridge MIB (as well as some older
HP devices supporting only HP private MIBs similar to rfc2108). 
The search capability in particular makes definitive answers 
attainable when such devices are cascaded.

Let me know if you're looking for more detailed information.

eap

-----Original Message-----
From:	Dan Romascanu ELdevmt-TA [SMTP:[email-masked]]
Sent:	Monday, May 04, 1998 11:51 PM
To:	[email-masked]
Subject:	Re: MIB Interoperability draft

bok,

> You are way off base here.  For example, HP OpenView Network Node
> Manager (as do the other "major Network Management Systems")
> does the majority of its interaction with managed devices and
> systems in the network using SNMP **and** standard-track MIBs.
> A great example is the IETF standardization of the Bridge and
> Repeater MIBs.  Before then, proper discovery & layout of bridged
> and hubed segememts was only possible in NNM for one vendor's 
> devices (guess whos ;^).  Today, with standard-track versions
> of these MIBs deployed in multiple vendors' equipment and in NNM,
> network managers get a hetergeneous and much better solution.
> We continue to work to improve this even further.

Is RFC 2108 supported by HPOV NNM? This would be good news, as we are 
gathering implementation experience in the Hub MIB to advance this MIB 
from Proposed to Draft. If the answer is positive I and the WG list 
([email-masked]) would be very interested to hear some details.

Thanks,

Dan
(Chair, IEEE 802.3 Interfaces and Hub MIB WG)

--------------------------------------------------------------------------

------
Dan Romascanu,
Systems Architecture Group Manager,
LANNET Ltd.,
Voice: 972-3-645-8414, e-mail: [email-masked]
--------------------------------------------------------------------------

------